<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Desafio 7</title>
</head>
<body>
    <script>
        const valorUsuario = parseInt (prompt('Digite o valor'));
        
        // Exemplo com for
        var contador = 0;

        for(i=1; i<=10; i++) {
            // Maneira antiga de concatenar
            //console.log(valorUsuario + "x" + i + "=" + (valorUsuario * i));
            
            // Nova maneira de concatenar
            calc = `${valorUsuario} x ${i} = ${valorUsuario * i}`;
            console.log(calc);
        }
        
        // Exemplo com while
        var contador = 1;

        while(contador <=10) {
            //console.log(valorUsuario + "x" + contador + "=" + (valorUsuario * contador));
            contador++;
        }
    
        /* Exemplo do Professor

        const valorUsuario = 15;

        for(i=1; i<=10; i++) {  
            //calc = valorUsuario + "x" + i + "=" + (valorUsuario * i);          
            calc = `${valorUsuario} x ${i} = ${valorUsuario * i}`;
            console.log(calc);             
        }

        var contador = 1;

        while(contador <= 10) {
             //console.log(valorUsuario + "x" + contador + "=" + (valorUsuario * contador));             
             contador++;
        } */

    </script>
</body>
</html>
